> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Methods

> Get all payment methods associated with the company's current Stripe customer.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/billing/payment_method/
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/billing/payment_method/:
    get:
      tags:
        - Billing - Payment Methods
      summary: Get Payment Methods
      description: >-
        Get all payment methods associated with the company's current Stripe
        customer.
      operationId: get_payment_methods_v1_billing_payment_method__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PaymentMethodResponseSchema'
                type: array
                title: Response Get Payment Methods V1 Billing Payment Method  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    PaymentMethodResponseSchema:
      properties:
        id:
          type: string
          title: Payment Method ID
          description: Unique identifier for the payment method
        type:
          type: string
          title: Payment Method Type
          description: Type of the payment method. In this app, only `card` is supported.
        card:
          anyOf:
            - $ref: '#/components/schemas/Card'
            - type: 'null'
          title: Card Details
          description: Details of the card associated with the payment method
        link:
          anyOf:
            - $ref: '#/components/schemas/Link'
            - type: 'null'
          title: Link Details
          description: Details of the link associated with the payment method
        is_default:
          type: boolean
          title: Is Default
          description: Whether this payment method is the default for the customer
          default: false
      type: object
      required:
        - id
        - type
        - card
      title: PaymentMethodResponseSchema
      description: >-
        Schema representing a payment method object.

        Check more at
        https://docs.stripe.com/api/payment_methods?api-version=2025-04-30.preview
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Card:
      properties:
        brand:
          type: string
          title: Card Brand
          description: >-
            Card brand. Can be `American Express`, `Diners Club`, `Discover`,
            `Eftpos Australia`, `Girocard`, `JCB`, `MasterCard`, `UnionPay`,
            `Visa`, or `Unknown`.
        last4:
          type: string
          title: Last 4 Digits
          description: Last four digits of the card
        exp_month:
          type: integer
          title: Expiration Month
          description: Two-digit number representing the card's expiration month
        exp_year:
          type: integer
          title: Expiration Year
          description: Four-digit number representing the card's expiration year
      type: object
      required:
        - brand
        - last4
        - exp_month
        - exp_year
      title: Card
      description: >-
        Schema representing a card object (a type of payment method - the only
        allowed in the app).

        Check more at
        https://docs.stripe.com/api/cards?api-version=2025-04-30.preview
    Link:
      properties:
        email:
          type: string
          title: Email
          description: The email address associated with the link payment method
      type: object
      required:
        - email
      title: Link
      description: >-
        Schema representing a link object (a type of payment method).

        Check more at
        https://docs.stripe.com/api/payment_methods/object?api-version=2025-04-30.preview#payment_method_object-link
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````